Generate API key
curl --request POST \
--url https://api.dev.impactu.colav.co/users/{email}/apikey \
--header 'Content-Type: application/json' \
--data '{
"expires": 123
}'import requests
url = "https://api.dev.impactu.colav.co/users/{email}/apikey"
payload = { "expires": 123 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({expires: 123})
};
fetch('https://api.dev.impactu.colav.co/users/{email}/apikey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/users/{email}/apikey",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expires' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/users/{email}/apikey"
payload := strings.NewReader("{\n \"expires\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dev.impactu.colav.co/users/{email}/apikey")
.header("Content-Type", "application/json")
.body("{\n \"expires\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/users/{email}/apikey")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"expires\": 123\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"apikey": {
"id": "aB3dE5fG7h",
"expires": 1830000000
}
}
{ "success": false, "msg": "La expiración mínima del API key es de 1 día" }
{"msg": "Token no proporcionado o inválido. Por favor, inicia sesión nuevamente.", "success": false}
{ "success": false, "msg": "No tienes permiso para gestionar el API Key de otro usuario." }
Users
Generate API key
Generates or regenerates the authenticated user’s API key. If one already existed, it is replaced.
POST
/
users
/
{email}
/
apikey
Generate API key
curl --request POST \
--url https://api.dev.impactu.colav.co/users/{email}/apikey \
--header 'Content-Type: application/json' \
--data '{
"expires": 123
}'import requests
url = "https://api.dev.impactu.colav.co/users/{email}/apikey"
payload = { "expires": 123 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({expires: 123})
};
fetch('https://api.dev.impactu.colav.co/users/{email}/apikey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/users/{email}/apikey",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expires' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/users/{email}/apikey"
payload := strings.NewReader("{\n \"expires\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dev.impactu.colav.co/users/{email}/apikey")
.header("Content-Type", "application/json")
.body("{\n \"expires\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/users/{email}/apikey")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"expires\": 123\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"apikey": {
"id": "aB3dE5fG7h",
"expires": 1830000000
}
}
{ "success": false, "msg": "La expiración mínima del API key es de 1 día" }
{"msg": "Token no proporcionado o inválido. Por favor, inicia sesión nuevamente.", "success": false}
{ "success": false, "msg": "No tienes permiso para gestionar el API Key de otro usuario." }
The authenticated user can only manage their own API key. The
{email}
in the path must match the identity of the JWT in the cookie
access_token_cookie.Path parameters
string
required
User’s email address. It must match the authenticated user.
Request body
integer
Expiration date in Unix seconds. Optional. If given, it must be
a future date at least 1 day ahead.
Response
boolean
true if the API key was generated successfully.object
{
"success": true,
"apikey": {
"id": "aB3dE5fG7h",
"expires": 1830000000
}
}
{ "success": false, "msg": "La expiración mínima del API key es de 1 día" }
{"msg": "Token no proporcionado o inválido. Por favor, inicia sesión nuevamente.", "success": false}
{ "success": false, "msg": "No tienes permiso para gestionar el API Key de otro usuario." }